GNU bug report logs - #43876
Emacs uses excessive memory

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Naveed Chehrazi <nchehrazi@HIDDEN>; merged with #43389, #43395; dated Fri, 9 Oct 2020 03:49:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 43876 <at> debbugs.gnu.org:


Received: (at 43876) by debbugs.gnu.org; 11 Oct 2020 02:20:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 10 22:20:38 2020
Received: from localhost ([127.0.0.1]:38915 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kRQyT-00022o-0V
	for submit <at> debbugs.gnu.org; Sat, 10 Oct 2020 22:20:37 -0400
Received: from mail-lf1-f51.google.com ([209.85.167.51]:38115)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nchehrazi@HIDDEN>) id 1kRQyP-00022X-FZ
 for 43876 <at> debbugs.gnu.org; Sat, 10 Oct 2020 22:20:35 -0400
Received: by mail-lf1-f51.google.com with SMTP id c141so8130006lfg.5
 for <43876 <at> debbugs.gnu.org>; Sat, 10 Oct 2020 19:20:33 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=BBdxSknZoyTsfRGzVkb32xoG9mdWhzuxuWNnhcIlVYU=;
 b=sG25R7GPhdNey3s6ri2EgpZeYrjGVTU5srgTb/3SWNDDQoXVqJFFt46d6azJXtkRuf
 wYQCp3SL2brfMhfL+vMlnQFP4dfP8CJC4YuIT8pSvJlXd8CeCQSAjchXR65BloJYNfx8
 thil9A2nJp4PfPGTFtPqOqV0h1Cl2891jyHHpflAfvLW2zx0iaZwcQ7WcOB11/Ss/sSD
 yXrYLxfeanxTNysDettxjNbICVhjI1R1ikYpYnNPduBCCZZyRML0UEDROu7esqB0furA
 VlhJBjrzachCHzlTtrFvV7TXMVyRNjIY2zgEOlj91WQqwURGjoGQ5UQ9zPt4fPXFMi2E
 V8Mg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=BBdxSknZoyTsfRGzVkb32xoG9mdWhzuxuWNnhcIlVYU=;
 b=G5I8Iux1GkACpxkfw2gAr9ij5/wrHYPxfpyVeiYnhGUa0Mtnj6FpAy3Gl02rmg1zdX
 6Acx4ftOtkdC8MRvh27KDZl7uugyQUenVTge+VWLxKmQqbnZMwmgUzvtNDETzAEbq+ze
 IyhQWdepHPrf+ALsV0rv8LmiRbMqblYhrMdjELZY+Rx3oks9T8WX+lao9FCgkvw1RIi6
 yC36o7Itd0GoEK9THLsivuCOPvMYz/EfEPmtySdPkBoz1KoAXru7nsGBpWO0Zrh/MBJh
 how9Hkl0y6sQ+vM02RyVnDde/jqUzqJQaXlAmMSKISCRAECLgmJnBjWAdcuKPhIW5UeT
 HRig==
X-Gm-Message-State: AOAM530+Zy1lYlX6Gvh7/47qxtNCYlIKt5gfvlBP0HhbnE8/zxSmAaE7
 VZPvBLLQQN5nhRWevT58TmtCXNpN/d/jJMC5t/vGReRxfg==
X-Google-Smtp-Source: ABdhPJyrAlOXILyA9Xr8oCvwvd/gAA/2pdNMrOh7t2+jlZRrqcnIeeeEIhoZxLAayhwrm/rAYCif/4iadmfKiF7vCdc=
X-Received: by 2002:a19:e054:: with SMTP id g20mr6686028lfj.166.1602382827223; 
 Sat, 10 Oct 2020 19:20:27 -0700 (PDT)
MIME-Version: 1.0
References: <CADkdQW9aF=yGhYxA=M176wrBw+UMjD+kr7UfcHFWnvQGe5-noQ@HIDDEN>
 <831ri77unj.fsf@HIDDEN>
 <CADkdQW_yP-U4ah67XRJA6SVz62W63m31h6zkP701FszrhoeLXg@HIDDEN>
 <83k0vy60qp.fsf@HIDDEN>
In-Reply-To: <83k0vy60qp.fsf@HIDDEN>
From: Naveed Chehrazi <nchehrazi@HIDDEN>
Date: Sat, 10 Oct 2020 21:20:16 -0500
Message-ID: <CADkdQW-uy06O1q0zuoS5=4oy7Cg1Rz+hRt3Hh7WiW++9iyYuGg@HIDDEN>
Subject: Re: bug#43876: Emacs uses excessive memory
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000036016905b15bd3cd"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43876
Cc: 43876 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000036016905b15bd3cd
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi Eli,

Here is the buffer that was generated after executing report-emacs-bug. I
will do what you asked and will report back when it happens again.

Many thanks,

Naveed

From: Naveed <nchehrazi@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.1; excessiveMemoryUsage
--text follows this line--




In GNU Emacs 27.1 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.22.30,
cairo version 1.15.10)
 of 2020-08-26 built on lgw01-amd64-030
Repository revision: a2fc5f02361a34ff7322032ce027c8bc4cc3b25a
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.11906000
System Description: Ubuntu 18.04.5 LTS

Recent messages:
Type C-x 1 to delete the help window, C-M-v to scroll help.

previous-line: Beginning of buffer [2 times]
Mark set
Mark saved where search started
File Thorisson.H(2000a)-Coupling, stationarity, and regeneration.pdf is
large (16.7 MiB), really open? (y)es or (n)o or (l)iterally y
Mark set [2 times]
Press C-c C-c to commit your changes, C-c C-q to abandon them.
Saving file /home/naveed/Dropbox/Library/Book/Dudley.R(2018a)-Real Analysis
and Probability 0.pdf...
Mark activated

Configured using:
 'configure --prefix=3D --prefix=3D/snap/emacs/current/usr --with-xwidgets
 --with-x-toolkit=3Dgtk3 --without-xaw3d --with-modules --with-cairo
 'CFLAGS=3D -isystem/build/emacs/parts/emacs/install/usr/include -O2'
 'CPPFLAGS=3D -isystem/build/emacs/parts/emacs/install/usr/include'
 'LDFLAGS=3D -L/build/emacs/parts/emacs/install/lib
 -L/build/emacs/parts/emacs/install/usr/lib
 -L/build/emacs/parts/emacs/install/lib/x86_64-linux-gnu
 -L/build/emacs/parts/emacs/install/usr/lib/x86_64-linux-gnu''

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF
ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS XWIDGETS
LIBSYSTEMD JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  semantic-minor-modes-format: ((:eval (if (or
semantic-highlight-edits-mode semantic-show-unmatched-syntax-mode)  S)))
  electric-pair-mode: t
  TeX-PDF-mode: t
  TeX-source-correlate-mode: t
  savehist-mode: t
  pdf-occur-global-minor-mode: t
  helm-mode: t
  helm-ff-cache-mode: t
  shell-dirtrack-mode: t
  helm-autoresize-mode: t
  helm--remap-mouse-mode: t
  async-bytecomp-package-mode: t
  projectile-mode: t
  which-key-mode: t
  recentf-mode: t
  global-aggressive-indent-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  show-paren-mode: t
  beacon-mode: t
  global-auto-revert-mode: t
  override-global-mode: t
  global-whitespace-mode: t
  global-hl-line-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug sendmail helm-external ffap org-indent
image-file ol-eww ol-rmail ol-mhe ol-irc ol-info ol-gnus nnir gnus-sum
shr svg dom gnus-group gnus-undo gnus-start gnus-cloud nnimap nnmail
mail-source utf7 netrc nnoo gnus-spec gnus-int gnus-range gnus-win gnus
nnheader ol-docview doc-view ol-bbdb ol-w3m cl-print help-fns radix-tree
pdf-sync pdf-annot pdf-outline pdf-links pdf-history winner helm-command
helm-elisp helm-eval edebug backtrace helm-info elec-pair
company-oddmuse company-keywords company-etags etags fileloop xref
project company-gtags company-dabbrev-code company-dabbrev company-files
company-clang company-capf company-cmake company-semantic
company-template company-bbdb display-line-numbers linum ebib
ebib-reading-list ebib-notes ebib-filters ebib-keywords ebib-utils
ebib-db org-ref org-ref-helm-bibtex org-ref-helm helm-bibtex
bibtex-completion org-capture biblio biblio-download biblio-dissemin
biblio-ieee biblio-hal biblio-dblp biblio-crossref biblio-arxiv timezone
biblio-doi biblio-core url-queue ido helm-net org-ref-core reftex-cite
parsebib ox-odt rng-loc rng-uri rng-parse rng-match rng-dt rng-util
rng-pttrn nxml-parse nxml-ns nxml-enc xmltok nxml-util ox-latex
ox-icalendar ox-html table ox-ascii ox-publish ox org-ref-glossary
org-ref-bibtex org-ref-citeproc org-element avl-tree generator message
rfc822 mml mml-sec epa derived epg epg-config gnus-util rmail
rmail-loaddefs mm-decode mm-bodies mm-encode mailabbrev mail-utils
gmm-utils mailheader key-chord hydra lv doi-utils org-ref-utils
org-ref-pdf url-http url url-proxy url-privacy url-expand url-methods
url-history mailcap url-auth mail-parse rfc2231 rfc2047 rfc2045 mm-util
ietf-drums mail-prsvr url-cookie url-domsuf url-util url-gw nsm rmc puny
ol-bibtex bibtex htmlize f s dash langtool reftex reftex-loaddefs
reftex-vars preview prv-emacs reporter desktop frameset tex-buf
latex-mode-expansions latex latex-flymake flymake-proc flymake warnings
tex-ispell tex-style tex dbus xml crm company ranger dired-x org-drill
pcase savehist org-learn org-id hi-lock cl ob-python ob-latex ob-shell
org-bullets pdf-occur tablist tablist-filter semantic/wisent/comp
semantic/wisent semantic/wisent/wisent semantic/util-modes semantic/util
semantic semantic/tag semantic/lex semantic/fw mode-local cedet dired
dired-loaddefs pdf-isearch let-alist pdf-misc imenu pdf-tools cus-edit
cus-start cus-load pdf-view bookmark text-property-search pp jka-compr
pdf-cache pdf-info tq pdf-util image-mode exif exec-path-from-shell
visual-fill-column helm-flyspell flyspell ispell helm-config helm-mode
helm-files tramp tramp-loaddefs trampver tramp-integration files-x
tramp-compat shell parse-time iso8601 ls-lisp helm-buffers helm-occur
helm-tags helm-locate helm-grep helm-regexp helm-utils helm-help
helm-types helm async-bytecomp helm-global-bindings helm-easymenu
helm-source eieio-compat helm-multi-match helm-lib async projectile grep
compile ibuf-ext ibuffer ibuffer-loaddefs which-key
visual-regexp-steroids visual-regexp swiper ivy delsel ivy-faces
ivy-overlay colir dashboard dashboard-widgets time recentf tree-widget
wid-edit page-break-lines aggressive-indent undo-fu mark-multiple
expand-region text-mode-expansions the-org-mode-expansions
er-basic-expansions thingatpt expand-region-core expand-region-custom
dmenu yasnippet-snippets yasnippet buffer-move windmove
rainbow-delimiters paren rainbow-mode beacon diminish autorevert
filenotify edmacro kmacro use-package-bind-key bind-key disp-table
whitespace hl-line sanityinc-tomorrow-eighties-theme
color-theme-sanityinc-tomorrow color use-package-ensure use-package-core
cl-extra help-mode org ob ob-tangle ob-ref ob-lob ob-table ob-exp
org-macro org-footnote org-src ob-comint org-pcomplete pcomplete comint
ansi-color ring org-list org-faces org-entities time-date noutline
outline easy-mmode org-version ob-emacs-lisp ob-core ob-eval org-table
ol org-keys org-compat advice org-macs org-loaddefs format-spec
find-func cal-menu calendar cal-loaddefs finder-inf tex-site info
package easymenu browse-url url-handlers url-parse auth-source cl-seq
eieio eieio-core cl-macs eieio-loaddefs password-cache json subr-x map
url-vars seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
xwidget-internal cairo move-toolbar gtk x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 802802 114116)
 (symbols 48 51882 1)
 (strings 32 215694 36925)
 (string-bytes 1 60947770)
 (vectors 16 80953)
 (vector-slots 8 1324842 98944)
 (floats 8 44821 897)
 (intervals 56 15934 204)
 (buffers 1000 32))

On Sat, Oct 10, 2020 at 1:42 AM Eli Zaretskii <eliz@HIDDEN> wrote:

> > From: Naveed Chehrazi <nchehrazi@HIDDEN>
> > Date: Fri, 9 Oct 2020 15:25:55 -0500
> > Cc: 43876 <at> debbugs.gnu.org
> >
> > I use emacs to write academic papers. This means that the follow
> packages/modes are generally active:
> >
> > * auctex
> > * reftex
> > * flyspell
> > * company
> > * pdf-view (using pdftools)
> > * Ebib
> > * Org
> >
> > I often have 3 to 4 emacs window/frame open for many days. Emacs uses
> normal amount of memory
> > initially but after three or four days, the amount of memory it has use=
d
> has grown enormously. I have not
> > changed the settings of the garbage collector. Its current value is:
> >
> > gc-cons-threshold is a variable defined in =E2=80=98C source code=E2=80=
=99.
> > Its value is 800000
>
> Thanks for the report of your typical usage.  To make this even more
> complete, could you please post the full information collected by
> "M-x report-emacs-bug" about your system and the Emacs configuration?
>
> To make some progress in investigating this and similar reports, it
> could help if you start a fresh session, in which you check the memory
> footprint frequently, say, each hour.  When you see a significant
> increase in the memory usage, try to remember what you did since the
> last checkpoint, and report this information here.
>
> TIA
>

--00000000000036016905b15bd3cd
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hi Eli,<div><br></div><div>Here is the buffer that was gen=
erated after executing report-emacs-bug. I will do what you asked and will =
report back when it happens again.=C2=A0</div><div><br></div><div>Many than=
ks,</div><div><br clear=3D"all"><div><div dir=3D"ltr" class=3D"gmail_signat=
ure" data-smartmail=3D"gmail_signature"><div dir=3D"ltr">Naveed</div></div>=
</div><br></div><div>From: Naveed &lt;<a href=3D"mailto:nchehrazi@HIDDEN=
">nchehrazi@HIDDEN</a>&gt;<br>To: <a href=3D"mailto:bug-gnu-emacs@HIDDEN=
g">bug-gnu-emacs@HIDDEN</a><br>Subject: 27.1; excessiveMemoryUsage<br>--te=
xt follows this line--<br><br><br><br><br>In GNU Emacs 27.1 (build 1, x86_6=
4-pc-linux-gnu, GTK+ Version 3.22.30, cairo version 1.15.10)<br>=C2=A0of 20=
20-08-26 built on lgw01-amd64-030<br>Repository revision: a2fc5f02361a34ff7=
322032ce027c8bc4cc3b25a<br>Repository branch: master<br>Windowing system di=
stributor &#39;The X.Org Foundation&#39;, version 11.0.11906000<br>System D=
escription: Ubuntu 18.04.5 LTS<br><br>Recent messages:<br>Type C-x 1 to del=
ete the help window, C-M-v to scroll help.<br><br>previous-line: Beginning =
of buffer [2 times]<br>Mark set<br>Mark saved where search started<br>File =
Thorisson.H(2000a)-Coupling, stationarity, and regeneration.pdf is large (1=
6.7 MiB), really open? (y)es or (n)o or (l)iterally y<br>Mark set [2 times]=
<br>Press C-c C-c to commit your changes, C-c C-q to abandon them.<br>Savin=
g file /home/naveed/Dropbox/Library/Book/Dudley.R(2018a)-Real Analysis and =
Probability 0.pdf...<br>Mark activated<br><br>Configured using:<br>=C2=A0&#=
39;configure --prefix=3D --prefix=3D/snap/emacs/current/usr --with-xwidgets=
<br>=C2=A0--with-x-toolkit=3Dgtk3 --without-xaw3d --with-modules --with-cai=
ro<br>=C2=A0&#39;CFLAGS=3D -isystem/build/emacs/parts/emacs/install/usr/inc=
lude -O2&#39;<br>=C2=A0&#39;CPPFLAGS=3D -isystem/build/emacs/parts/emacs/in=
stall/usr/include&#39;<br>=C2=A0&#39;LDFLAGS=3D -L/build/emacs/parts/emacs/=
install/lib<br>=C2=A0-L/build/emacs/parts/emacs/install/usr/lib<br>=C2=A0-L=
/build/emacs/parts/emacs/install/lib/x86_64-linux-gnu<br>=C2=A0-L/build/ema=
cs/parts/emacs/install/usr/lib/x86_64-linux-gnu&#39;&#39;<br><br>Configured=
 features:<br>XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GSETTINGS GLI=
B NOTIFY<br>INOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FL=
T LIBOTF<br>ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS XWID=
GETS<br>LIBSYSTEMD JSON PDUMPER LCMS2 GMP<br><br>Important settings:<br>=C2=
=A0 value of $LANG: en_US.UTF-8<br>=C2=A0 locale-coding-system: utf-8-unix<=
br><br>Major mode: Fundamental<br><br>Minor modes in effect:<br>=C2=A0 sema=
ntic-minor-modes-format: ((:eval (if (or semantic-highlight-edits-mode sema=
ntic-show-unmatched-syntax-mode) =C2=A0S)))<br>=C2=A0 electric-pair-mode: t=
<br>=C2=A0 TeX-PDF-mode: t<br>=C2=A0 TeX-source-correlate-mode: t<br>=C2=A0=
 savehist-mode: t<br>=C2=A0 pdf-occur-global-minor-mode: t<br>=C2=A0 helm-m=
ode: t<br>=C2=A0 helm-ff-cache-mode: t<br>=C2=A0 shell-dirtrack-mode: t<br>=
=C2=A0 helm-autoresize-mode: t<br>=C2=A0 helm--remap-mouse-mode: t<br>=C2=
=A0 async-bytecomp-package-mode: t<br>=C2=A0 projectile-mode: t<br>=C2=A0 w=
hich-key-mode: t<br>=C2=A0 recentf-mode: t<br>=C2=A0 global-aggressive-inde=
nt-mode: t<br>=C2=A0 yas-global-mode: t<br>=C2=A0 yas-minor-mode: t<br>=C2=
=A0 show-paren-mode: t<br>=C2=A0 beacon-mode: t<br>=C2=A0 global-auto-rever=
t-mode: t<br>=C2=A0 override-global-mode: t<br>=C2=A0 global-whitespace-mod=
e: t<br>=C2=A0 global-hl-line-mode: t<br>=C2=A0 tooltip-mode: t<br>=C2=A0 g=
lobal-eldoc-mode: t<br>=C2=A0 electric-indent-mode: t<br>=C2=A0 mouse-wheel=
-mode: t<br>=C2=A0 tool-bar-mode: t<br>=C2=A0 menu-bar-mode: t<br>=C2=A0 fi=
le-name-shadow-mode: t<br>=C2=A0 global-font-lock-mode: t<br>=C2=A0 font-lo=
ck-mode: t<br>=C2=A0 blink-cursor-mode: t<br>=C2=A0 auto-composition-mode: =
t<br>=C2=A0 auto-encryption-mode: t<br>=C2=A0 auto-compression-mode: t<br>=
=C2=A0 buffer-read-only: t<br>=C2=A0 column-number-mode: t<br>=C2=A0 line-n=
umber-mode: t<br>=C2=A0 transient-mark-mode: t<br><br>Load-path shadows:<br=
>None found.<br><br>Features:<br>(shadow sort mail-extr emacsbug sendmail h=
elm-external ffap org-indent<br>image-file ol-eww ol-rmail ol-mhe ol-irc ol=
-info ol-gnus nnir gnus-sum<br>shr svg dom gnus-group gnus-undo gnus-start =
gnus-cloud nnimap nnmail<br>mail-source utf7 netrc nnoo gnus-spec gnus-int =
gnus-range gnus-win gnus<br>nnheader ol-docview doc-view ol-bbdb ol-w3m cl-=
print help-fns radix-tree<br>pdf-sync pdf-annot pdf-outline pdf-links pdf-h=
istory winner helm-command<br>helm-elisp helm-eval edebug backtrace helm-in=
fo elec-pair<br>company-oddmuse company-keywords company-etags etags filelo=
op xref<br>project company-gtags company-dabbrev-code company-dabbrev compa=
ny-files<br>company-clang company-capf company-cmake company-semantic<br>co=
mpany-template company-bbdb display-line-numbers linum ebib<br>ebib-reading=
-list ebib-notes ebib-filters ebib-keywords ebib-utils<br>ebib-db org-ref o=
rg-ref-helm-bibtex org-ref-helm helm-bibtex<br>bibtex-completion org-captur=
e biblio biblio-download biblio-dissemin<br>biblio-ieee biblio-hal biblio-d=
blp biblio-crossref biblio-arxiv timezone<br>biblio-doi biblio-core url-que=
ue ido helm-net org-ref-core reftex-cite<br>parsebib ox-odt rng-loc rng-uri=
 rng-parse rng-match rng-dt rng-util<br>rng-pttrn nxml-parse nxml-ns nxml-e=
nc xmltok nxml-util ox-latex<br>ox-icalendar ox-html table ox-ascii ox-publ=
ish ox org-ref-glossary<br>org-ref-bibtex org-ref-citeproc org-element avl-=
tree generator message<br>rfc822 mml mml-sec epa derived epg epg-config gnu=
s-util rmail<br>rmail-loaddefs mm-decode mm-bodies mm-encode mailabbrev mai=
l-utils<br>gmm-utils mailheader key-chord hydra lv doi-utils org-ref-utils<=
br>org-ref-pdf url-http url url-proxy url-privacy url-expand url-methods<br=
>url-history mailcap url-auth mail-parse rfc2231 rfc2047 rfc2045 mm-util<br=
>ietf-drums mail-prsvr url-cookie url-domsuf url-util url-gw nsm rmc puny<b=
r>ol-bibtex bibtex htmlize f s dash langtool reftex reftex-loaddefs<br>reft=
ex-vars preview prv-emacs reporter desktop frameset tex-buf<br>latex-mode-e=
xpansions latex latex-flymake flymake-proc flymake warnings<br>tex-ispell t=
ex-style tex dbus xml crm company ranger dired-x org-drill<br>pcase savehis=
t org-learn org-id hi-lock cl ob-python ob-latex ob-shell<br>org-bullets pd=
f-occur tablist tablist-filter semantic/wisent/comp<br>semantic/wisent sema=
ntic/wisent/wisent semantic/util-modes semantic/util<br>semantic semantic/t=
ag semantic/lex semantic/fw mode-local cedet dired<br>dired-loaddefs pdf-is=
earch let-alist pdf-misc imenu pdf-tools cus-edit<br>cus-start cus-load pdf=
-view bookmark text-property-search pp jka-compr<br>pdf-cache pdf-info tq p=
df-util image-mode exif exec-path-from-shell<br>visual-fill-column helm-fly=
spell flyspell ispell helm-config helm-mode<br>helm-files tramp tramp-loadd=
efs trampver tramp-integration files-x<br>tramp-compat shell parse-time iso=
8601 ls-lisp helm-buffers helm-occur<br>helm-tags helm-locate helm-grep hel=
m-regexp helm-utils helm-help<br>helm-types helm async-bytecomp helm-global=
-bindings helm-easymenu<br>helm-source eieio-compat helm-multi-match helm-l=
ib async projectile grep<br>compile ibuf-ext ibuffer ibuffer-loaddefs which=
-key<br>visual-regexp-steroids visual-regexp swiper ivy delsel ivy-faces<br=
>ivy-overlay colir dashboard dashboard-widgets time recentf tree-widget<br>=
wid-edit page-break-lines aggressive-indent undo-fu mark-multiple<br>expand=
-region text-mode-expansions the-org-mode-expansions<br>er-basic-expansions=
 thingatpt expand-region-core expand-region-custom<br>dmenu yasnippet-snipp=
ets yasnippet buffer-move windmove<br>rainbow-delimiters paren rainbow-mode=
 beacon diminish autorevert<br>filenotify edmacro kmacro use-package-bind-k=
ey bind-key disp-table<br>whitespace hl-line sanityinc-tomorrow-eighties-th=
eme<br>color-theme-sanityinc-tomorrow color use-package-ensure use-package-=
core<br>cl-extra help-mode org ob ob-tangle ob-ref ob-lob ob-table ob-exp<b=
r>org-macro org-footnote org-src ob-comint org-pcomplete pcomplete comint<b=
r>ansi-color ring org-list org-faces org-entities time-date noutline<br>out=
line easy-mmode org-version ob-emacs-lisp ob-core ob-eval org-table<br>ol o=
rg-keys org-compat advice org-macs org-loaddefs format-spec<br>find-func ca=
l-menu calendar cal-loaddefs finder-inf tex-site info<br>package easymenu b=
rowse-url url-handlers url-parse auth-source cl-seq<br>eieio eieio-core cl-=
macs eieio-loaddefs password-cache json subr-x map<br>url-vars seq byte-opt=
 gv bytecomp byte-compile cconv cl-loaddefs cl-lib<br>tooltip eldoc electri=
c uniquify ediff-hook vc-hooks lisp-float-type<br>mwheel term/x-win x-win t=
erm/common-win x-dnd tool-bar dnd fontset image<br>regexp-opt fringe tabula=
ted-list replace newcomment text-mode elisp-mode<br>lisp-mode prog-mode reg=
ister page tab-bar menu-bar rfn-eshadow isearch<br>timer select scroll-bar =
mouse jit-lock font-lock syntax facemenu<br>font-core term/tty-colors frame=
 minibuffer cl-generic cham georgian<br>utf-8-lang misc-lang vietnamese tib=
etan thai tai-viet lao korean<br>japanese eucjp-ms cp51932 hebrew greek rom=
anian slovak czech european<br>ethiopic indian cyrillic chinese composite c=
harscript charprop<br>case-table epa-hook jka-cmpr-hook help simple abbrev =
obarray<br>cl-preloaded nadvice loaddefs button faces cus-face macroexp fil=
es<br>text-properties overlay sha1 md5 base64 format env code-pages mule<br=
>custom widget hashtable-print-readable backquote threads dbusbind<br>inoti=
fy lcms2 dynamic-setting system-font-setting font-render-setting<br>xwidget=
-internal cairo move-toolbar gtk x-toolkit x multi-tty<br>make-network-proc=
ess emacs)<br><br>Memory information:<br>((conses 16 802802 114116)<br>=C2=
=A0(symbols 48 51882 1)<br>=C2=A0(strings 32 215694 36925)<br>=C2=A0(string=
-bytes 1 60947770)<br>=C2=A0(vectors 16 80953)<br>=C2=A0(vector-slots 8 132=
4842 98944)<br>=C2=A0(floats 8 44821 897)<br>=C2=A0(intervals 56 15934 204)=
<br>=C2=A0(buffers 1000 32))<br></div></div><br><div class=3D"gmail_quote">=
<div dir=3D"ltr" class=3D"gmail_attr">On Sat, Oct 10, 2020 at 1:42 AM Eli Z=
aretskii &lt;<a href=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; wrote:<br=
></div><blockquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;=
border-left:1px solid rgb(204,204,204);padding-left:1ex">&gt; From: Naveed =
Chehrazi &lt;<a href=3D"mailto:nchehrazi@HIDDEN" target=3D"_blank">ncheh=
razi@HIDDEN</a>&gt;<br>
&gt; Date: Fri, 9 Oct 2020 15:25:55 -0500<br>
&gt; Cc: <a href=3D"mailto:43876 <at> debbugs.gnu.org" target=3D"_blank">43876@d=
ebbugs.gnu.org</a><br>
&gt; <br>
&gt; I use emacs to write academic papers. This means that the follow packa=
ges/modes are generally active:<br>
&gt; <br>
&gt; * auctex<br>
&gt; * reftex<br>
&gt; * flyspell<br>
&gt; * company<br>
&gt; * pdf-view (using pdftools)<br>
&gt; * Ebib<br>
&gt; * Org<br>
&gt; <br>
&gt; I often have 3 to 4 emacs window/frame open for many days. Emacs uses =
normal amount of memory<br>
&gt; initially but after three or four days, the amount of memory it has us=
ed has grown enormously. I have not<br>
&gt; changed the settings of the garbage collector. Its current value is:<b=
r>
&gt; <br>
&gt; gc-cons-threshold is a variable defined in =E2=80=98C source code=E2=
=80=99.<br>
&gt; Its value is 800000<br>
<br>
Thanks for the report of your typical usage.=C2=A0 To make this even more<b=
r>
complete, could you please post the full information collected by<br>
&quot;M-x report-emacs-bug&quot; about your system and the Emacs configurat=
ion?<br>
<br>
To make some progress in investigating this and similar reports, it<br>
could help if you start a fresh session, in which you check the memory<br>
footprint frequently, say, each hour.=C2=A0 When you see a significant<br>
increase in the memory usage, try to remember what you did since the<br>
last checkpoint, and report this information here.<br>
<br>
TIA<br>
</blockquote></div>

--00000000000036016905b15bd3cd--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43876; Package emacs. Full text available.

Message received at 43876 <at> debbugs.gnu.org:


Received: (at 43876) by debbugs.gnu.org; 10 Oct 2020 06:42:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 10 02:42:14 2020
Received: from localhost ([127.0.0.1]:36801 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kR8a6-0000GM-1d
	for submit <at> debbugs.gnu.org; Sat, 10 Oct 2020 02:42:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52552)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kR8a3-0000G8-Vj
 for 43876 <at> debbugs.gnu.org; Sat, 10 Oct 2020 02:42:12 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33566)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kR8Zy-0007Xw-LX; Sat, 10 Oct 2020 02:42:06 -0400
Received: from [176.228.60.248] (port=1533 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kR8Zy-0000D7-1l; Sat, 10 Oct 2020 02:42:06 -0400
Date: Sat, 10 Oct 2020 09:42:06 +0300
Message-Id: <83k0vy60qp.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Naveed Chehrazi <nchehrazi@HIDDEN>
In-Reply-To: <CADkdQW_yP-U4ah67XRJA6SVz62W63m31h6zkP701FszrhoeLXg@HIDDEN>
 (message from Naveed Chehrazi on Fri, 9 Oct 2020 15:25:55 -0500)
Subject: Re: bug#43876: Emacs uses excessive memory
References: <CADkdQW9aF=yGhYxA=M176wrBw+UMjD+kr7UfcHFWnvQGe5-noQ@HIDDEN>
 <831ri77unj.fsf@HIDDEN>
 <CADkdQW_yP-U4ah67XRJA6SVz62W63m31h6zkP701FszrhoeLXg@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43876
Cc: 43876 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Naveed Chehrazi <nchehrazi@HIDDEN>
> Date: Fri, 9 Oct 2020 15:25:55 -0500
> Cc: 43876 <at> debbugs.gnu.org
> 
> I use emacs to write academic papers. This means that the follow packages/modes are generally active:
> 
> * auctex
> * reftex
> * flyspell
> * company
> * pdf-view (using pdftools)
> * Ebib
> * Org
> 
> I often have 3 to 4 emacs window/frame open for many days. Emacs uses normal amount of memory
> initially but after three or four days, the amount of memory it has used has grown enormously. I have not
> changed the settings of the garbage collector. Its current value is:
> 
> gc-cons-threshold is a variable defined in ‘C source code’.
> Its value is 800000

Thanks for the report of your typical usage.  To make this even more
complete, could you please post the full information collected by
"M-x report-emacs-bug" about your system and the Emacs configuration?

To make some progress in investigating this and similar reports, it
could help if you start a fresh session, in which you check the memory
footprint frequently, say, each hour.  When you see a significant
increase in the memory usage, try to remember what you did since the
last checkpoint, and report this information here.

TIA




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43876; Package emacs. Full text available.

Message received at 43876 <at> debbugs.gnu.org:


Received: (at 43876) by debbugs.gnu.org; 9 Oct 2020 23:26:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 09 19:26:09 2020
Received: from localhost ([127.0.0.1]:36657 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kR1m1-0004bi-Ub
	for submit <at> debbugs.gnu.org; Fri, 09 Oct 2020 19:26:09 -0400
Received: from mail-lj1-f169.google.com ([209.85.208.169]:33508)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nchehrazi@HIDDEN>) id 1kQyxw-0006PT-NO
 for 43876 <at> debbugs.gnu.org; Fri, 09 Oct 2020 16:26:14 -0400
Received: by mail-lj1-f169.google.com with SMTP id 133so10807323ljj.0
 for <43876 <at> debbugs.gnu.org>; Fri, 09 Oct 2020 13:26:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=Yv4bYDuDFycZEJogMNK8b5HEjT3ahxCScgNKhS+M4cw=;
 b=EwPHR4YOklStEWcUHvunpKav44vqv7QSrUEPHIBtldBU3Vw13ZdPdChfN+6NziKUuZ
 fHQ5wyuWDkOhugy75s/Cn0+InPAR13481msUNN4BJqoZE8Yfv3biHyFLOXUFxSuBiY07
 HqOcLV8ok0UiE37KfLhGt/joieF7L3qSv3nEhIG6heWVdbSQ5FU8fgGShvvAgBiBZwuM
 IHdyWjAvw5nXofDyuPQsAvooS7XqOokIMhrnnfbpZQqJr8gAut4Iw4NcnmV4TnxNXYui
 n6ryaRqQyDRMkuG4p6fVqOPsQD4Oma4/m6ToYjEW+z+5TMIzQo+n6NRaYpwGOzW1HykM
 BTPA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=Yv4bYDuDFycZEJogMNK8b5HEjT3ahxCScgNKhS+M4cw=;
 b=cEZ3MJ0eHTG3zmWlyLXNdhum8HJ3Fnfy8piLRBsIhQBjMqLy7GvRW87imfkJXdvwOK
 0OzHLPKTqzyMF+Obc/UkW1vdOfb0t9nz8e42U0U1V+G9S0CFMyJU/KlfLJ8WXEo7JHJv
 F3fFmXvU+vTLEytXAohUpU4CATIr8RwCTU4I6WUGkDtJ0BM30FrxwZCl5hC/9jNtRHrf
 esNZMkQSJtCJ5xJzdpZXV01x2lRSFxKgqM0L6EUnpgM8m2Pu1thue7YH0mmPI4u8/m/o
 auapyXwINQaUr61rdZQ9H1YPMZV267BQrONE/jGEpabjGnW+xYqEFrAv5T+fu5b7uYDJ
 uSfA==
X-Gm-Message-State: AOAM532ubxkjSnV1eUevcN99A1gb/eRMrX2tDHO7N1QQlVsXh8LTFxBh
 NPfOCjx+bjNZrpnsfGwT1ZNksTtNqQ9/Kv3phg==
X-Google-Smtp-Source: ABdhPJzJAzOukEXrDM+12Muyx/CixChfuhPlrkxXl9A+IfSupZQ/67rNWUmn8mCyHXNKWvQO7PgRDw+yFzjG8rCfbxk=
X-Received: by 2002:a2e:95ca:: with SMTP id y10mr5597833ljh.287.1602275166488; 
 Fri, 09 Oct 2020 13:26:06 -0700 (PDT)
MIME-Version: 1.0
References: <CADkdQW9aF=yGhYxA=M176wrBw+UMjD+kr7UfcHFWnvQGe5-noQ@HIDDEN>
 <831ri77unj.fsf@HIDDEN>
In-Reply-To: <831ri77unj.fsf@HIDDEN>
From: Naveed Chehrazi <nchehrazi@HIDDEN>
Date: Fri, 9 Oct 2020 15:25:55 -0500
Message-ID: <CADkdQW_yP-U4ah67XRJA6SVz62W63m31h6zkP701FszrhoeLXg@HIDDEN>
Subject: Re: bug#43876: Emacs uses excessive memory
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000218c4305b142c28d"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43876
X-Mailman-Approved-At: Fri, 09 Oct 2020 19:26:05 -0400
Cc: 43876 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--000000000000218c4305b142c28d
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hi Eli,

I use emacs to write academic papers. This means that the follow
packages/modes are generally active:

   - auctex
   - reftex
   - flyspell
   - company
   - pdf-view (using pdftools)
   - Ebib
   - Org

I often have 3 to 4 emacs window/frame open for many days. Emacs uses
normal amount of memory initially but after three or four days, the amount
of memory it has used has grown enormously. I have not changed the settings
of the garbage collector. Its current value is:

gc-cons-threshold is a variable defined in =E2=80=98C source code=E2=80=99.
Its value is 800000

I can run tests on my machine if you think that would be helpful.

Best regards,

Naveed


On Fri, Oct 9, 2020 at 1:58 AM Eli Zaretskii <eliz@HIDDEN> wrote:

> merge 43876 43389
> thanks
>
> > From: Naveed Chehrazi <nchehrazi@HIDDEN>
> > Date: Thu, 8 Oct 2020 19:53:02 -0500
> >
> > I had two instances where my emacs was using an excessive amount of
> memory (once about 45GiB, and
> > once using 94GiB). I have the memory-profiler report below. It appears
> that helm package is the cause,
>
> Please disregard the profiler results: it doesn't measure memory
> consumption, not at all.
>
> What would be beneficial for this and similar bug reports (see
> bug#43389) is to describe what you are doing when memory footprint of
> the Emacs process grows significantly.  That might give some ideas
> about where to look for the culprit(s).
>
> Do you have some customizations that change gc-cons-threshold?
>

--000000000000218c4305b142c28d
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr">Hi Eli,<div><br></div><div>I use emacs to=
 write academic papers. This means that the follow packages/modes are gener=
ally active:</div><div><ul><li>auctex</li><li>reftex</li><li>flyspell</li><=
li>company</li><li>pdf-view (using pdftools)</li><li>Ebib</li><li>Org</li><=
/ul></div><div>I often have 3 to 4 emacs window/frame open for many days. E=
macs uses normal amount of memory initially but after three or four days, t=
he amount of memory it has used has grown enormously. I have not changed th=
e settings of the garbage collector. Its current value is:</div><div><br></=
div><div>gc-cons-threshold is a variable defined in =E2=80=98C source code=
=E2=80=99.<br>Its value is 800000<br></div><div><br></div><div>I can run te=
sts on my machine if you think that would be helpful.</div><div><br></div><=
div>Best regards,</div><div><br></div><div><div><div dir=3D"ltr" class=3D"g=
mail_signature" data-smartmail=3D"gmail_signature"><div dir=3D"ltr">Naveed<=
/div></div></div><br></div></div><br><div class=3D"gmail_quote"><div dir=3D=
"ltr" class=3D"gmail_attr">On Fri, Oct 9, 2020 at 1:58 AM Eli Zaretskii &lt=
;<a href=3D"mailto:eliz@HIDDEN">eliz@HIDDEN</a>&gt; wrote:<br></div><bloc=
kquote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:=
1px solid rgb(204,204,204);padding-left:1ex">merge 43876 43389<br>
thanks<br>
<br>
&gt; From: Naveed Chehrazi &lt;<a href=3D"mailto:nchehrazi@HIDDEN" targe=
t=3D"_blank">nchehrazi@HIDDEN</a>&gt;<br>
&gt; Date: Thu, 8 Oct 2020 19:53:02 -0500<br>
&gt; <br>
&gt; I had two instances where my emacs was using an excessive amount of me=
mory (once about 45GiB, and<br>
&gt; once using 94GiB). I have the memory-profiler report below. It appears=
 that helm package is the cause,<br>
<br>
Please disregard the profiler results: it doesn&#39;t measure memory<br>
consumption, not at all.<br>
<br>
What would be beneficial for this and similar bug reports (see<br>
bug#43389) is to describe what you are doing when memory footprint of<br>
the Emacs process grows significantly.=C2=A0 That might give some ideas<br>
about where to look for the culprit(s).<br>
<br>
Do you have some customizations that change gc-cons-threshold?<br>
</blockquote></div></div>

--000000000000218c4305b142c28d--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43876; Package emacs. Full text available.
Merged 43389 43395 43876. Request was from Eli Zaretskii <eliz@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 43876 <at> debbugs.gnu.org:


Received: (at 43876) by debbugs.gnu.org; 9 Oct 2020 06:58:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 09 02:58:45 2020
Received: from localhost ([127.0.0.1]:33986 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kQmMX-00076k-DF
	for submit <at> debbugs.gnu.org; Fri, 09 Oct 2020 02:58:45 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51442)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1kQmMS-00076Q-Ra; Fri, 09 Oct 2020 02:58:43 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54365)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kQmMN-0002ng-HI; Fri, 09 Oct 2020 02:58:35 -0400
Received: from [176.228.60.248] (port=1210 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kQmME-0004GS-SS; Fri, 09 Oct 2020 02:58:29 -0400
Date: Fri, 09 Oct 2020 09:58:24 +0300
Message-Id: <831ri77unj.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Naveed Chehrazi <nchehrazi@HIDDEN>
In-Reply-To: <CADkdQW9aF=yGhYxA=M176wrBw+UMjD+kr7UfcHFWnvQGe5-noQ@HIDDEN>
 (message from Naveed Chehrazi on Thu, 8 Oct 2020 19:53:02 -0500)
Subject: Re: bug#43876: Emacs uses excessive memory
References: <CADkdQW9aF=yGhYxA=M176wrBw+UMjD+kr7UfcHFWnvQGe5-noQ@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43876
Cc: 43876 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

merge 43876 43389
thanks

> From: Naveed Chehrazi <nchehrazi@HIDDEN>
> Date: Thu, 8 Oct 2020 19:53:02 -0500
> 
> I had two instances where my emacs was using an excessive amount of memory (once about 45GiB, and
> once using 94GiB). I have the memory-profiler report below. It appears that helm package is the cause,

Please disregard the profiler results: it doesn't measure memory
consumption, not at all.

What would be beneficial for this and similar bug reports (see
bug#43389) is to describe what you are doing when memory footprint of
the Emacs process grows significantly.  That might give some ideas
about where to look for the culprit(s).

Do you have some customizations that change gc-cons-threshold?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43876; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Oct 2020 03:48:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 08 23:48:49 2020
Received: from localhost ([127.0.0.1]:33750 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kQjOi-00045O-H6
	for submit <at> debbugs.gnu.org; Thu, 08 Oct 2020 23:48:48 -0400
Received: from lists.gnu.org ([209.51.188.17]:60280)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nchehrazi@HIDDEN>) id 1kQget-0008Bf-6W
 for submit <at> debbugs.gnu.org; Thu, 08 Oct 2020 20:53:20 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44290)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <nchehrazi@HIDDEN>)
 id 1kQges-0007so-SZ
 for bug-gnu-emacs@HIDDEN; Thu, 08 Oct 2020 20:53:18 -0400
Received: from mail-lf1-x133.google.com ([2a00:1450:4864:20::133]:44703)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <nchehrazi@HIDDEN>)
 id 1kQgeq-0005id-7g
 for bug-gnu-emacs@HIDDEN; Thu, 08 Oct 2020 20:53:18 -0400
Received: by mail-lf1-x133.google.com with SMTP id b1so5451707lfp.11
 for <bug-gnu-emacs@HIDDEN>; Thu, 08 Oct 2020 17:53:15 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=CULEO9t1NqrXTpWa6x/Gtr40OfVe65pyCEjp9RhNTw4=;
 b=Okzzad6xhoKx9b9+KvgCSZRd1/BGJW5gX2Jzwt60ec0IhyV5uV12go9QWn+O0aPIDA
 /6a/q7ExoWpBV/nLUJWXBqFwCPlEs9Dzxvk0CsyxeZRIwA/tD/7p5kSKNUIA+EOSfSE7
 E5ioETFUAdwRZVIUQAwzKOoS1kwkjqgDIqyRHea0GcuikpO37ZhNK1P4xlwz5roaqrW0
 K6zfFEYeuBPVK/QAidJ7DiNLW+5LHsm9gSzsJ+AbPKZoQqTyhQy5HvDwpa+MbxhMLzbT
 5hyR7CsCyGwgTNioWynzWFCNhrxDzuNeRpi+dyrf9GYzB+4G6XD25vH9O4PxElCF5OwC
 PldA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=CULEO9t1NqrXTpWa6x/Gtr40OfVe65pyCEjp9RhNTw4=;
 b=llkcf8CM70ClmytNORwV8e44ePrEBeM23xVfedcsrFdJpz9hEsWSNwdXBFxJfsnW7t
 RU+nzJ0Wv5zloHv8LoGySybRNagojuaID1qyFUixiqj0YBl0BZTrNjFitsKfPnt+GL6l
 aXgQ1SX4OdDYZR3rL+aqBvLKwdKxFancGPLJkucAKDIiIVVrTzn98VYQ13zB7tEiwOzS
 xjSssh1iqSJW/Zg0b819O3m8VMaf2tzrN+usvYa0AK2aD5CmIWMD1KJlkS6nHPokiNxr
 5kF17ZIa1Spt2prRnxitRvc4yPNhar0tKbd6qROqQjep2/lCtN5j8e3OhPHeiDzs5WRz
 2nGA==
X-Gm-Message-State: AOAM5304XnQAaBL4jx7sX3Yz4Is7S2kv7XXpVJ72juKasxcYamORKbrY
 z5uqKiQp3oy6NuHVdsi8rZRGNzdazw3yTTp87a2uoRKsJA==
X-Google-Smtp-Source: ABdhPJwk99ko7bF8DagcKU1Gq4V3JMDd4mSGyoC+EoBhqtiMq0HgrDNWc28RjPqJw1hYzfFo9+mDA53zoOPYQoR6TUM=
X-Received: by 2002:ac2:420f:: with SMTP id y15mr3156820lfh.489.1602204793547; 
 Thu, 08 Oct 2020 17:53:13 -0700 (PDT)
MIME-Version: 1.0
From: Naveed Chehrazi <nchehrazi@HIDDEN>
Date: Thu, 8 Oct 2020 19:53:02 -0500
Message-ID: <CADkdQW9aF=yGhYxA=M176wrBw+UMjD+kr7UfcHFWnvQGe5-noQ@HIDDEN>
Subject: Emacs uses excessive memory
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="00000000000093b03705b1325fbc"
Received-SPF: pass client-ip=2a00:1450:4864:20::133;
 envelope-from=nchehrazi@HIDDEN; helo=mail-lf1-x133.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 08 Oct 2020 23:48:47 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--00000000000093b03705b1325fbc
Content-Type: text/plain; charset="UTF-8"

Hi,

I had two instances where my emacs was using an excessive amount of memory
(once about 45GiB, and once using 94GiB). I have the memory-profiler report
below. It appears that helm package is the cause, however I was not able to
find out how I can report this issue to helm package maintainers. I would
appreciate it if you can provide instruction for resolving the problem.
Please also let me know if you need more information.

Best regards,

Naveed

OS:
Distributor ID: Ubuntu
Description: Ubuntu 18.04.5 LTS
Release: 18.04

emacs is installed via snap:
emacs                 27.1                   857   latest/stable
 alexmurray  classic

Output of memory profiler:
- command-execute                                          45,211,763  93%
 - call-interactively                                      45,211,763  93%
  - funcall-interactively                                  45,210,707  93%
   - helm-M-x                                              45,210,707  93%
    - helm-M-x-read-extended-command                       45,210,707  93%
     - helm                                                44,908,519  93%
      - apply                                              44,907,495  93%
       - helm                                              44,906,439  93%
        - apply                                            44,906,439  93%
         - helm-internal                                   44,906,439  93%
          - helm-read-pattern-maybe                        33,969,278  70%
           - read-from-minibuffer                          31,370,347  65%
            - timer-event-handler                          23,467,065  48%
             - apply                                       23,429,537  48%
              - #<compiled 0x155763cf6569>                 23,411,081  48%
               + helm-check-minibuffer-input               23,402,809  48%
               + internal--before-save-selected-window          4,136   0%
                org-ref-link-message                            8,216   0%
              + blink-cursor-start                              4,736   0%
              + helm-ff--cache-mode-refresh                     3,168   0%
              + show-paren-function                             1,280   0%
              + auto-revert-buffers                             1,056   0%
             + timer-activate                                  15,408   0%
             + timer-activate-when-idle                         9,504   0%
             + timer-inc-time                                   8,264   0%
               timer-until                                      1,120   0%
            + command-execute                                 592,496   1%
            + redisplay_internal (C function)                 157,944   0%
            + helm--update-header-line                         67,084   0%
            + helm-ff--cache-mode-reset-timer                  13,656   0%
            + #<compiled 0x155ca2e7d809>                       10,496   0%
            + minibuffer-inactive-mode                          4,224   0%
            + which-key--hide-popup                             3,168   0%
              beacon--vanish                                    2,112   0%
            + global-eldoc-mode-check-buffers                   1,056   0%
            + beacon--post-command                              1,056   0%
            + blink-cursor-end                                  1,056   0%
              tooltip-hide                                        160   0%
           + helm-update                                      643,349   1%
           + thing-at-point                                     3,122   0%
           + helm-get-candidate-number                          1,056   0%
          + helm-display-buffer                             5,484,524  11%
          + #<compiled 0x155763d0097d>                      3,540,114   7%
          + helm-execute-selection-action                   1,897,079   3%
          + helm-initialize                                    11,308   0%
          + advice-add                                          4,136   0%
        helm-parse-keys                                         1,024   0%
     + helm-make-source                                       297,820   0%
     + run-at-time                                                232   0%
+ timer-event-handler                                       2,638,134   5%
+ redisplay_internal (C function)                             236,482   0%
+ flyspell-post-command-hook                                   11,688   0%
+ preview-move-point                                            2,192   0%
+ helm-ff--cache-mode-reset-timer                               1,072   0%
  ...                                                               0   0%

--00000000000093b03705b1325fbc
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: base64
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--00000000000093b03705b1325fbc--




Acknowledgement sent to Naveed Chehrazi <nchehrazi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#43876; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 11 Oct 2020 02:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.